Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.GraphState Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | GraphState ()
| Constructor.
def | GraphState (state)
| Constructor, with another graph state object. More...
def | Set (line_width, line_join, miter_limit, line_cap, dash_phase, dashes)
| Set value. More...

## Static Public Attributes
| dash_phase = _fsdk.GraphState_dash_phase
| Dash phase for dash pattern.
| dashes = _fsdk.GraphState_dashes
| A dash array that represents the dash patterns. Value of each element in this array should not be negative.
| e_LineCapButt = _fsdk.GraphState_e_LineCapButt
| Butt cap. The stroke is squared off at the endpoint of a path. There is no projection beyond the end of a path.
| e_LineCapRound = _fsdk.GraphState_e_LineCapRound
| Round cap. A semicircular arc with a diameter equal to the line width is drawn around the endpoint and filled in.
| e_LineCapSquare = _fsdk.GraphState_e_LineCapSquare
| Projecting square cap. The stroke continues beyond the endpoint of the path for a distance equal to half the line width and is squared off.
| e_LineJoinBevel = _fsdk.GraphState_e_LineJoinBevel
| Bevel line join type. More...
| e_LineJoinMiter = _fsdk.GraphState_e_LineJoinMiter
| Miter line join type. More...
| e_LineJoinRound = _fsdk.GraphState_e_LineJoinRound
| Round line join type. More...
| line_cap = _fsdk.GraphState_line_cap
| Line cap style. More...
| line_join = _fsdk.GraphState_line_join
| Line join style. More...
| line_width = _fsdk.GraphState_line_width
| Line width. More...
| miter_limit = _fsdk.GraphState_miter_limit
| The miter limit for line join. More...

## Detailed Description

This class represents PDF graph states.

## Constructor & Destructor Documentation

## ◆ GraphState()

def FoxitPDFSDKPython3.GraphState.GraphState | ( |  | state | ) |

Constructor, with another graph state object.

Parameters

  [in] | state | Another graph state object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.GraphState.Set | ( |  | line_width,
|  |  | line_join,
|  |  | miter_limit,
|  |  | line_cap,
|  |  | dash_phase,
|  |  | dashes
| ) |  |

Set value.

Parameters

  [in] | line_width | Line width. If 0 is set to this, it will be treated as 1 by default.
  [in] | line_join | Line join style. Please refer to values starting from FoxitPDFSDKPython3.GraphState.e_LineJoinMiter and this should be one of these values.
  [in] | miter_limit | The miter limit for line join.
  [in] | line_cap | Line cap style. Please refer to values starting from FoxitPDFSDKPython3.GraphState.e_LineCapButt and this should be one of these values.
  [in] | dash_phase | Dash phase for line dash pattern.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative.

Returns
  None.

## Member Data Documentation

## ◆ e_LineJoinBevel

FoxitPDFSDKPython3.GraphState.e_LineJoinBevel = _fsdk.GraphState_e_LineJoinBevel
| static

Bevel line join type.

The two segments are finished with butt caps and the resulting notch beyond the end of the segments is filled with a triangle.

## ◆ e_LineJoinMiter

FoxitPDFSDKPython3.GraphState.e_LineJoinMiter = _fsdk.GraphState_e_LineJoinMiter
| static

Miter line join type.

The outer edges of the strokes for the two segments are extended until they meet at an angle.

## ◆ e_LineJoinRound

FoxitPDFSDKPython3.GraphState.e_LineJoinRound = _fsdk.GraphState_e_LineJoinRound
| static

Round line join type.

An arc of a circle with a diameter equal to the line width is drawn around the point where the two segments meet, connecting the outer edges of the strokes for the two segments.

## ◆ line_cap

FoxitPDFSDKPython3.GraphState.line_cap = _fsdk.GraphState_line_cap
| static

Line cap style.

The line cap style specifies the shape to be used at the ends of open sub-paths (and dashes, if any) when they are stroked. Please refer to values starting from FoxitPDFSDKPython3.GraphState.e_LineCapButt and this should be one of these values.

## ◆ line_join

FoxitPDFSDKPython3.GraphState.line_join = _fsdk.GraphState_line_join
| static

Line join style.

The line join style specifies the shape to be used at the corners of paths that are stroked. Please refer to values starting from FoxitPDFSDKPython3.GraphState.e_LineJoinMiter and this should be one of these values.

## ◆ line_width

FoxitPDFSDKPython3.GraphState.line_width = _fsdk.GraphState_line_width
| static

Line width.

It should be a non-negative number in [PDF coordinate system] (). If 0 is set to this, it will be treated as 1 by default.

## ◆ miter_limit

FoxitPDFSDKPython3.GraphState.miter_limit = _fsdk.GraphState_miter_limit
| static

The miter limit for line join.

When two line segments meet at a sharp angle and mitered joins have been specified as the line join style, it is possible for the miter to extend far beyond the thickness of the line stroking the path. The miter limit imposes a maximum on the ratio of the miter length to the line width. When the limit is exceeded, the join is converted from a miter to a bevel.
Please refer to <PDF Reference 1.7> P217 "Miter Limit" for more details.